import { Account, Connection, PublicKey, Transaction, TransactionInstruction, TransactionSignature } from '@solana/web3.js';
import { Market, OpenOrders } from '@project-serum/serum';
import { u64 } from "@solana/spl-token";
import { MangoClient, MangoGroup } from "@blockworks-foundation/mango-client";
export declare function _sendTransaction(connection: Connection, transaction: Transaction, signers: Account[]): Promise<TransactionSignature>;
export declare function createTokenAccountInstrs(connection: Connection, newAccountPubkey: PublicKey, mint: PublicKey, ownerPk: PublicKey, lamports?: number): Promise<TransactionInstruction[]>;
export declare function createWrappedNativeAccount(connection: Connection, owner: Account, amount: number): Promise<PublicKey>;
export declare function createTokenAccount(connection: Connection, mint: PublicKey, owner: Account): Promise<PublicKey>;
export declare function createWalletAndRequestAirdrop(connection: Connection, amount: number): Promise<Account>;
export declare function createMangoGroupSymbolMappings(connection: Connection, mangoGroupIds: any): Promise<any>;
export declare function getOwnedTokenAccounts(connection: Connection, owner: Account): Promise<any[]>;
export declare function updateMarginTokenAccountsAndDeposits(connection: Connection, owner: Account, client: MangoClient, mangoGroup: MangoGroup, marginAccountPk: PublicKey | null, state: any, dexProgramId: PublicKey): Promise<void>;
export declare function buildAirdropTokensIx(amount: u64, tokenMintPublicKey: PublicKey, destinationAccountPubkey: PublicKey, faucetPubkey: PublicKey): Promise<TransactionInstruction>;
export declare function airdropTokens(connection: Connection, feePayerAccount: Account, faucetAddress: string, tokenDestinationPublicKey: PublicKey, mint: PublicKey, amount: u64): Promise<string>;
export declare function airdropToken(connection: Connection, owner: Account, tokenName: string, mangoGroupTokenMappings: any, faucetIds: any, amount: number): Promise<void>;
export declare function airdropSol(connection: Connection, owner: Account, amount: number): Promise<void>;
export declare function airdropMangoGroupTokens(connection: Connection, owner: Account, mangoGroup: MangoGroup, mangoGroupTokenMappings: any, ownedTokenAccounts: any, faucetIds: any): Promise<void>;
export declare function createTokenAccountWithBalance(connection: Connection, owner: Account, tokenName: string, mangoGroupTokenMappings: any, faucetIds: any, amount: number): Promise<void>;
export declare function createTokenAccountsForMangoGroupTokens(connection: Connection, owner: Account, mangoGroup: MangoGroup, mangoGroupTokenMappings: any): Promise<void>;
export declare function performSingleDepositOrWithdrawal(connection: Connection, owner: Account, client: MangoClient, mangoGroup: MangoGroup, mangoProgramId: PublicKey, tokenName: string, mangoGroupTokenMappings: any, marginAccount: any, type: string, amount: number): Promise<void>;
export declare function performDepositOrWithdrawal(connection: Connection, owner: Account, client: MangoClient, mangoGroup: MangoGroup, mangoProgramId: PublicKey, state: any, type: string, amount: number): Promise<void>;
export declare function getAndDecodeBidsAndAsks(connection: Connection, spotMarket: Market): Promise<any>;
export declare function getAndDecodeBidsAndAsksForOwner(connection: Connection, spotMarket: Market, openOrdersAccount: OpenOrders | undefined): Promise<any>;
export declare function getBidOrAskPriceEdge(connection: Connection, spotMarket: Market, bidOrAsk: string, maxOrMin: string): Promise<number>;
export declare function getOrderSizeAndPrice(connection: Connection, spotMarket: Market, mangoGroupTokenMappings: any, baseSymbol: string, quoteSymbol: string, side: string): Promise<number[]>;
export declare function extractInfoFromLogs(confirmedTx: any): any;
export declare function prettyPrintOwnerKeys(owner: Account, name: string): void;
//# sourceMappingURL=test_utils.d.ts.map